Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Interface RevalidationHandler

All Superinterfaces:
  org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.parser.XMLDocumentSource

All Known Implementing Classes:
  XMLSchemaValidator

public interface RevalidationHandler
extends org.apache.xerces.xni.parser.XMLDocumentFilter

DOM Revalidation handler adds additional functionality to XMLDocumentHandler

Version:
  $Id: RevalidationHandler.java,v 1.3 2002/09/25 18:40:34 elena Exp $
Author:
  Elena Litani, IBM

Method Summary
`boolean` | `characterData(java.lang.String data, org.apache.xerces.xni.Augmentations augs)` Character content.
`void` | `setBaseURI(java.lang.String base)` Set the base URI of the document

Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler
`characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource
`getDocumentHandler, setDocumentHandler`

Method Detail

### setBaseURI

    public void setBaseURI(java.lang.String base)

  Set the base URI of the document
  Parameters:
    `base` -

### characterData

    public boolean characterData(java.lang.String data,
                                 org.apache.xerces.xni.Augmentations augs)

  Character content.
  Parameters:
    `data` - The character data.
    `augs` - Augmentations
  Returns:
    True if data is whitespace only

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.